## org.apache.bcel.verifier.structurals
Class LocalVariables

    java.lang.Object
      org.apache.bcel.verifier.structurals.LocalVariables

    public class LocalVariables

extends Object

This class implements an array of local variables used for symbolic JVM simulation.

Version:
  $Id: LocalVariables.java 386056 2006-03-15 11:31:56Z tcurdt $

Constructor Summary
`LocalVariables(int maxLocals)` Creates a new LocalVariables object.

Method Summary
`protected Object` `clone()` Returns a deep copy of this object; i.e.
`boolean` `equals(Object o)`
`Type` `get(int i)` Returns the type of the local variable slot i.
`LocalVariables` `getClone()` Returns a (correctly typed) clone of this object.
`int` `hashCode()`
`void` `initializeObject(UninitializedObjectType u)` Replaces all occurences of u in this local variables set with an "initialized" ObjectType.
`int` `maxLocals()` Returns the number of local variable slots this LocalVariables instance has.
`void` `merge(LocalVariables lv)` Merges two local variables sets as described in the Java Virtual Machine Specification, Second Edition, section 4.9.2, page 146.
`void` `set(int i, Type type)` Sets a new Type for the given local variable slot.
`String` `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalVariables

    public LocalVariables(int maxLocals)

  Creates a new LocalVariables object.

Method Detail

### clone

    protected Object clone()

  Returns a deep copy of this object; i.e. the clone operates on a new local variable array. However, the Type objects in the array are shared.

  Overrides:
    `clone` in class `Object`

### get

    public Type get(int i)

  Returns the type of the local variable slot i.

### getClone

    public LocalVariables getClone()

  Returns a (correctly typed) clone of this object. This is equivalent to ((LocalVariables) this.clone()).

### maxLocals

    public int maxLocals()

  Returns the number of local variable slots this LocalVariables instance has.

### set

    public void set(int i,
                    Type type)

  Sets a new Type for the given local variable slot.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for the object.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### merge

    public void merge(LocalVariables lv)

  Merges two local variables sets as described in the Java Virtual Machine Specification, Second Edition, section 4.9.2, page 146.

### toString

    public String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `Object`

### initializeObject

    public void initializeObject(UninitializedObjectType u)

  Replaces all occurences of u in this local variables set with an "initialized" ObjectType.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.